The X Selection Mechanism
	Purpose of Selections
		Indirect properties
		Dynamic Types
		Owned by the user
		Managed by a client
	Seamless Integration
		Using selections within an application
		Avoid data transfer
		ICCCM editing targets
	Basic Protocol Description
	Selections and the ICCCM
		Selection Names
			PRIMARY
			SECONDARY
			CLIPBOARD
		Selection Targets
			TEXT
			STRING
			COMPOUND_TEXT
			MULTIPLE
				Must provide property
				Property contains list of desired targets
			DELETE
			INSERT_SELECTION
				Must provide property
				Property contains list of selection/target pairs
				Do whatever seems reasonable
			INSERT_PROPERTY
				Property contains data to be inserted
				Do whatever seems reasonable
		Incremental data transfer
	Selections and Xt
		Asynchronous callback based mechanism
			Reentrancy difficulties
			Out-of-order execution
			Losing selection makes ongoing selection transfers break
		Upfront commitment to transfer mechanism
			Independent of target
			Incremental transfers
			Ownership of transfer data
		"Help" for incremental selections
			Doesn't deal with long time delays
			Potentially large memory consumption
		Default timeouts inappropriate
			Timeout applies at all portions of transfer
			Ongoing incremental transfer can be aborted
	Help from Xmu functions
		XmuConvertStandardSelection
		XmuMakeAtom/XmuInternAtom
			.Ip!
			.sp .5i!
			\s18AtomPtr	_XA_FOO;!
			.nf!
			#define XA_FOO(d)  XmuInternAtom(d, _XA_FOO)!
			\ ...!
			\ \ \ _XA_FOO = XmuMakeAtom("FOO");!
			\ ...!
			\ \ \ if (*target == XA_FOO(d)) ...\s0!
			.fi!
			.Rt
	Debugging
		-selectionTimeout 6000000000
		-sync
		xscope
		xmon
	Summary
		Not easy to use
		Enables seamless applications
		ICCCM mechanisms are useful
		Xt doesn't really help much
	Author
		.Ip!
		Keith Packard!
		.br!
		MIT X Consortium!
		.br!
		545 Technology Square!
		.br!
		Cambridge, MA 02139!
		.br!
		(617) 253-1428!
		.br!
		keith@expo.lcs.mit.edu!
		.RT
